#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <vector>  // http://cplusplus.com/reference/vector/vector/

using namespace std;

int main()
{
    FILE *in = fopen("..\\Buss.txt","rt");   // read text
    if(in==NULL)
    {
        printf("Faili ei saa avada\n");
        return 1;
    }

    vector<int> valjumine; // muutuva pikkusega int-ide massiiv

    while(not feof(in))
    {
        char line[80];
        fgets(line,80,in);  // failist in he rea lugemine
        //printf("%s",line);
        if(line[0]=='-')
            continue;

        char *hh = strtok(line,":");   // alustada rea line tkeldamist

        while(true)
        {
            char *p = strtok(NULL," ");   // NULL - jtkata rea tkeldamist
            if( p == NULL )
                break;
            printf("%s:%s\n",hh,p);
            int minuteid = 60*atoi(hh)+atoi(p);
            valjumine.push_back(minuteid);
        }
    }
    fclose(in);
/*
    for(int i=0;i<valjumine.size();i++)
        printf("%d\n",valjumine[i]);
*/
    while(true)
    {
        char aeg[10];
        printf("\nSisesta kellaaeg formaadis hh:mm ");
        gets(aeg);  // konsoolilt terve rea lugemine
        if(strlen(aeg)==0)
            break;

        char *h = strtok(aeg,":");
        char *m = strtok(NULL,"\0");
        int t = 60*atoi(h)+atoi(m);

        int n = valjumine.size();
        if(t>valjumine[n-1])   // viimane vljumine!
        {
            printf("Tna bussid enam ei ki\n");
            continue;
        }

        for(int i=0;i<n;i++)
        {
            int vahe = valjumine[i]-t;
            if(vahe>=0)
            {
                printf("Buss tuleb %d minuti prast (kell %d:",vahe,valjumine[i]/60);

                int mm = valjumine[i]%60;
                if(mm<10)
                    printf("0%1d)\n",mm);
                else
                    printf("%2d)\n",mm);

                break;
            }
        }
    }
    return 0;
}
